# State Anchoring Service

Off-chain service to collect state proofs from ChainID 138 validators and submit them to MainnetTether contract on Ethereum Mainnet.

## Configuration

Create `.env` file:

```bash
CHAIN138_RPC_URL=https://rpc-http-pub.d-bis.org
MAINNET_RPC_URL=https://eth.llamarpc.com
PRIVATE_KEY=<wallet-private-key>
TETHER_ADDRESS=0x15DF1D5BFDD8Aa4b380445D4e3E9B38d34283619
```

## Installation

```bash
npm install
npm run build
```

## Usage

```bash
npm start
```

## Development

```bash
npm run dev
```

## See Implementation Guide

See `docs/deployment/TASK2_STATE_ANCHORING_SERVICE.md` for detailed implementation guide.
